/*
 * @Description: 
 * @Version: 2.0
 * @Autor: ftt
 * @Date: 2022-06-13 14:51:56
 * @LastEditors: TT
 * @LastEditTime: 2022-08-13 09:10:39
 */

import 'package:flutter/material.dart';
import 'package:ttcomment/ttcomment.dart';
import 'package:get/get.dart';

/// 跳转到指定界面
currentToPage(
  String name, {
  Map<String, String>? parameters,
  dynamic arguments,
  Function(Map info)? onChange,
  bool preventDuplicates = true,
}) {
  if (name == "") {
    return;
  }
  return Get.toNamed(name,
      parameters: parameters,
      arguments: arguments,
      preventDuplicates: preventDuplicates);
}

/// 重定向入口页
currentTo({
  required String name,
  Map<String, String>? parameters,
  dynamic arguments,
}) {
  Get.offAllNamed(
    name,
    parameters: parameters,
    arguments: arguments,
  );
}

/// 返回上一个界面
void currentGoback(BuildContext context, {Map? info}) {
  CommentTools.keydissmiss(context);
  Get.back(result: info);
}

//// 返回到指定界面,并销毁中间的界面
currentGetofName(String name) {
  Get.offAllNamed(name);
}

/// 获取界面传值 parameters
Map<String, String?> currentGetParams() {
  return Get.parameters;
}

/// 获取界面传值 arguments
dynamic currentGetArguments() {
  return Get.arguments;
}
