/*
 * @Description: 
 * @Version: 2.0
 * @Autor: ftt
 * @Date: 2022-03-29 11:16:19
 * @LastEditors: ftt
 * @LastEditTime: 2022-06-14 10:28:45
 */

import 'package:flutter/material.dart';
import 'package:hzy_normal_widget/hzy_normal_utils.dart';
import 'package:ttcomment/ttcomment.dart';

abstract class NormalLessWidget extends StatelessWidget
    with AbstractWidget, AbstractNetWork, AbstractAttribute {
  NormalLessWidget({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return createScaffol(
        context: context,
        safeAreatop: safeAreatop,
        safeAreabottm: safeAreabottm,
        pageState: pageState,
        title: title,
        backgroundColor: backgroundColor,
        navbackcolor: navbackcolor,
        resizeToAvoidBottomInset: resizeToAvoidBottomInset);
  }

  @override
  Widget createColumWidget(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      child: LayoutBuilder(
        builder: (context, constraints) {
          configlayoutbuiderConstraints(constraints);
          return SizedBox(
              width: configSizeBoxWidth(constraints),
              child: createonlyColumWidget(context));
        },
      ),
    );
  }

  /// getx 真实包裹的colum 方法
  Widget createonlyColumWidget(BuildContext context) {
    return Column(
      children: [
        createHeaderWidget(),
        Expanded(
          child: createBody(context),
        ),
      ],
    );
  }

  @override
  Map<String, dynamic>? configNetWorkParmas() {
    return null;
  }

  @override
  void getnetworkdata(int? type, Map<String, dynamic>? info) {}

  /// 获取 屏幕 最大尺寸
  configlayoutbuiderConstraints(BoxConstraints constraints) {}

  double? configSizeBoxWidth(BoxConstraints constraints) {
    return HzyNormalUtils.configSizeMaxW(constraints.maxWidth);
  }
}
